/*FONT*/
@import url('https://fonts.googleapis.com/css2?family=Afacad:ital,wght@0,400..700;1,400..700&family=Archivo:ital,wght@0,100..900;1,100..900&family=Cinzel:wght@400..900&family=M+PLUS+Rounded+1c:wght@300;400;500;700&family=Roboto:wght@400;700&display=swap');
:root {
    --font-primary: "Afacad", serif;
}


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: var(--font-primary), serif;
}

/*HEADER Y H1*/
header {
    width: 100%;
    height: 100vh;
    background-image: url("../assets/header3.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    font-size: 3rem;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    position: relative;
}

header h1 {
    font-size: 15rem;
    margin-top: 60vh;
    transform: translateY(-50%);
    background: linear-gradient(to right, #38ea38, #ffffff, #ff8dc8);
    background-size: 200% 100%;
    -webkit-background-clip: text;
    color: transparent;
    animation: gradientAnimation 4s linear infinite;
}

@keyframes gradientAnimation {
    0% {
        background-position: 0 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0 50%;
    }
}

/*NAV*/
.bottom-nav {
    position: fixed;
    bottom: 20px;
    width: 90%;
    max-width: 600px;
    left: 50%;
    transform: translateX(-50%);
    background-color: white;
    border-radius: 15px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    z-index: 999;
}

.bottom-nav ul {
    list-style: none;
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 1rem 0;
    margin: 0;
    height: 100%;
}

.bottom-nav ul li {
    display: flex;
    align-items: center;
    height: 100%;
}

.bottom-nav ul li a {
    display: flex;
    align-items: center;
    color: black;
    text-decoration: none;
    font-size: 1.2rem;
    padding: 0.5rem 1rem;
    transition: background-color 0.3s, color 0.3s;
    border-radius: 10px;
}

.bottom-nav ul li a:hover {
    background-color: black;
    color: white;
    border-radius: 10px;
}

.bottom-nav ul li a.active {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
}

/*LOGO*/
.logo {
    position: absolute;
    left: 0;
    padding: 2rem;
    width: 50px;
    height: 50px;
}

/*MAIN*/
.menu-title {
    font-size: 3rem;
    margin-bottom: 2rem;
    text-align: center;
    width: 100%;
}
/*FOOTER*/
.footer {
    width: 100%;
    height: 100vh;
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
}

.footer h2 {
    font-size: 10rem;
    margin-bottom: 2rem;
}

.footer-content {
    width: 100%;
    max-width: 1200px;
}

.footer .row {
    display: flex;
    justify-content: space-between;
    margin-bottom: 1rem;
}

.footer .column {
    flex: 1;
    padding: 1rem;
    text-align: center;
}

.footer .column a {
    display: block;
    margin: 0.5rem 0;
    text-decoration: none;
    color: black;
}

.footer .column h4 {
    font-size: 2rem;
}

.footer .column p {
    margin-bottom: 1rem;
}

/*MENU*/
.menu-main {
    background-color: #e7fe52;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 2rem;
}

.menu-content {
    display: flex;
    justify-content: space-around;
    width: 100%;
    max-width: 1200px;
    flex-wrap: wrap; /* Permite que los elementos se envuelvan en múltiples líneas */
}

.menu-item {
    background-color: white;
    border-radius: 15px;
    padding: 2rem;
    flex: 1 1 calc(33.333% - 2rem); /* Ajusta el ancho de los elementos */
    margin: 1rem;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.menu-item h2 {
    font-size: 2rem;
    margin-bottom: 1rem;
}

.menu-item h3 {
    font-size: 1.5rem;
    margin-bottom: 1rem;
}

.menu-item p {
    font-size: 1.2rem;
}
/* Media Query para móviles */
@media (max-width: 767px) {
    body {
        overflow-x: hidden;
    }

    header h1 {
        font-size: 6rem;
        margin-top: 70vh;
        line-height: 1.2;
        text-align: center;
    }

    .animated-text {
        font-size: 3rem;
        text-decoration: none; /* Elimina la línea debajo */
    }

    .bottom-nav {
        width: 100%;
        max-width: 100%;
        bottom: 0;
        left: 0;
        transform: none;
        border-radius: 0;
    }

    .bottom-nav ul {
        padding: 0.5rem 0;
    }

    .bottom-nav ul li a {
        font-size: 0.8rem;
        padding: 0.3rem;
        white-space: nowrap;
    }


    .footer {
        height: auto;
        padding: 2rem 1rem;
    }

    .footer h2 {
        font-size: 2.5rem;
        margin-bottom: 1rem;
    }

    .footer-content {
        width: 100%;
    }

    .footer .row {
        flex-direction: column;
    }

    .footer .column {
        padding: 0.5rem;
    }

    .footer .column h4 {
        font-size: 1.2rem;
    }

    /*MENU*/
    .menu-content {
        flex-direction: column;
        align-items: center;
    }

    .menu-item {
        margin: 1rem 0;
        width: 100%;
    }
}